#ifndef MYITEM_H
#define MYITEM_H

#include <QTreeWidget>
#include <QMetaMethod>

class MyItem : public QTreeWidgetItem
{
};

class ObjectItem : public MyItem
{
public:
    ObjectItem () : obj (nullptr) { }
private:
    QObject * obj;
public:
    QObject * getObject () { return obj; }
    void setObject (QObject * p) { obj = p; }
};

class MethodItem : public ObjectItem
{
public:
    MethodItem () { }
private:
    QMetaMethod meth;
public:
    QMetaMethod getMethod () { return meth; }
    void setMethod (QMetaMethod p) { meth = p; }
};

#endif // MYITEM_H
